<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.2"?>
<plugin>
   <extension
         point="org.eclipse.mtj.core.externallibrary">
      <library
            description="This sample library has no actual use and was created to demonstrate the use of org.eclipse.mtj.core.library.externallibrary Extension Point available in org.eclipse.mtj.core.library Plug-in."
            name="Sample library"
            version="1.0.0"
            visibility="PUBLIC">
         <ClasspathEntry
               jarFile="lib/SampleLibrary.jar"
               javadocPath="doc/api/"
               srcPath="lib_src/">
            <AccessRule
                  kind="NON_ACCESSIBLE"
                  pattern="org/eclipse/mtj/example/library/internal/NonAccessibleLibraryClass">
            </AccessRule>
            <AccessRule
                  kind="DISCOURAGED"
                  pattern="org/eclipse/mtj/example/library/DiscouragedAccessLibraryClass">
            </AccessRule>
            <AccessRule
                  kind="ACCESSIBLE"
                  pattern="org/eclipse/mtj/example/library/AccessibleLibraryClass">
            </AccessRule>
         </ClasspathEntry>
         <License
               name="Eclipse Public License - v 1.0"
               url="http://www.eclipse.org/legal/epl-v10.html">
         </License>
         <Security
               Premissions="org.eclipse.mtj.example.library.permission.read,org.eclipse.mtj.example.library.permission.write"
               ProtectionDomain="UNTRUSTED">
         </Security>
      </library>
   </extension>

</plugin>
